> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payables

> Lists all payables from the connected entity.

If you already have the data of the payable (amount in [minor units](
https://docs.monite.com/references/currencies#minor-units), currency, vendor information, and other details)
stored somewhere as individual attributes, you can create a payable with these attributes by calling [POST
/payables](https://docs.monite.com/api/payables/post-payables) and providing the [base64-encoded](
https://en.wikipedia.org/wiki/Base64) contents of the original invoice file in the field `base64_encoded_file`.

A payable is a financial document given by an entity`s supplier itemizing the purchase of a good or a service and
demanding payment.

The `file_name` field is optional. If omitted, it defaults to “default_file_name”. If the settings are configured
to automatically set `suggested_payment_term`, this object can be omitted from the request body.

The `id` generated for this payable can be used in other API calls to update the data of this payable or trigger [
status transitions](https://docs.monite.com/accounts-payable/approvals/manual-transition), for example. essential data
fields to move from `draft` to `new`

Related guide: [Create a payable from data](https://docs.monite.com/accounts-payable/payables/collect#create-a-payable-from-data)

See also:


[Automatic calculation of due date](https://docs.monite.com/accounts-payable/payables/collect#automatic-calculation-of-due-date)

[Suggested payment date](https://docs.monite.com/accounts-payable/payables/collect#suggested-payment-date)

[Attach file](https://docs.monite.com/accounts-payable/payables/collect#attach-file)

[Collect payables by email](https://docs.monite.com/accounts-payable/payables/collect#send-payables-by-email)

[Manage line items](https://docs.monite.com/accounts-payable/payables/line-items)



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/payables
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2026-09-24'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterpart VAT IDs
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Departments
  - name: Disclosures
  - name: Documents
  - name: Events
  - name: Files
  - name: Ledger accounts
  - name: Locations
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: OIDC applications
  - name: Organizations
  - name: Overdue reminders
  - name: Payable duplicates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: PDF templates
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Roles
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: Users
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/payables:
    get:
      tags:
        - Payables
      summary: Get payables
      description: >-
        Lists all payables from the connected entity.


        If you already have the data of the payable (amount in [minor units](

        https://docs.monite.com/references/currencies#minor-units), currency,
        vendor information, and other details)

        stored somewhere as individual attributes, you can create a payable with
        these attributes by calling [POST

        /payables](https://docs.monite.com/api/payables/post-payables) and
        providing the [base64-encoded](

        https://en.wikipedia.org/wiki/Base64) contents of the original invoice
        file in the field `base64_encoded_file`.


        A payable is a financial document given by an entity`s supplier
        itemizing the purchase of a good or a service and

        demanding payment.


        The `file_name` field is optional. If omitted, it defaults to
        “default_file_name”. If the settings are configured

        to automatically set `suggested_payment_term`, this object can be
        omitted from the request body.


        The `id` generated for this payable can be used in other API calls to
        update the data of this payable or trigger [

        status
        transitions](https://docs.monite.com/accounts-payable/approvals/manual-transition),
        for example. essential data

        fields to move from `draft` to `new`


        Related guide: [Create a payable from
        data](https://docs.monite.com/accounts-payable/payables/collect#create-a-payable-from-data)


        See also:



        [Automatic calculation of due
        date](https://docs.monite.com/accounts-payable/payables/collect#automatic-calculation-of-due-date)


        [Suggested payment
        date](https://docs.monite.com/accounts-payable/payables/collect#suggested-payment-date)


        [Attach
        file](https://docs.monite.com/accounts-payable/payables/collect#attach-file)


        [Collect payables by
        email](https://docs.monite.com/accounts-payable/payables/collect#send-payables-by-email)


        [Manage line
        items](https://docs.monite.com/accounts-payable/payables/line-items)
      operationId: get_payables
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2026-09-24'
          name: x-finops-version
          in: header
        - name: order
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OrderEnum'
            default: asc
          description: >-
            Sort order (ascending by default). Typically used together with the
            `sort` parameter.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
          description: >-
            The number of items (0 .. 100) to return in a single page of the
            response. The response may contain fewer items if it is the last or
            only page.
        - name: pagination_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            A pagination token obtained from a previous call to this endpoint.
            Use it to get the next or previous page of results for your initial
            query. If `pagination_token` is specified, all other query
            parameters are ignored and inferred from the initial query.


            If not specified, the first page of results will be returned.
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PayableCursorFields'
              - type: 'null'
          description: >-
            The field to sort the results by. Typically used together with the
            `order` parameter.
        - name: created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
          description: >-
            Return only payables created in Monite after the specified date and
            time. The value must be in the ISO 8601 format
            YYYY-MM-DDThh:mm[:ss[.ffffff]][Z|±hh:mm].
        - name: created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
          description: >-
            Return only payables created in Monite before the specified date and
            time.
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
          description: >-
            Return only payables created in Monite on or after the specified
            date and time.
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
          description: >-
            Return only payables created in Monite before or on the specified
            date and time.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PayableStateEnum'
              - type: 'null'
          description: >-
            Return only payables that have the specified
            [status](https://docs.monite.com/accounts-payable/payables/index).


            To query multiple statuses at once, use the `status__in` parameter
            instead.
        - name: status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/PayableStateEnum'
              - type: 'null'
          description: >-
            Return only payables that have the specified
            [statuses](https://docs.monite.com/accounts-payable/payables/index).


            To specify multiple statuses, repeat this parameter for each value:
            `status__in=draft&status__in=new`
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                  format: uuid
                type: array
              - type: 'null'
          description: >-
            Return only payables with specified IDs. Valid but nonexistent IDs
            do not raise errors but produce no results.


            To specify multiple IDs, repeat this parameter for each value:
            `id__in=<id1>&id__in=<id2>`
        - name: total_amount
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables with the exact specified total amount. The
            amount must be specified in the minor units of currency. For
            example, $12.5 is represented as 1250.
        - name: total_amount__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose total amount (in minor units) exceeds the
            specified value.
        - name: total_amount__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose total amount (in minor units) is less
            than the specified value.
        - name: total_amount__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose total amount (in minor units) is greater
            than or equal to the specified value.
        - name: total_amount__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose total amount (in minor units) is less
            than or equal to the specified value.
        - name: amount
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: Return only payables with the specified amount.
        - name: amount__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose amount (in minor units) exceeds the
            specified value.
        - name: amount__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose amount (in minor units) is less than the
            specified value.
        - name: amount__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose amount (in minor units) is greater than
            or equal to the specified value.
        - name: amount__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
          description: >-
            Return only payables whose amount (in minor units) is less than or
            equal to the specified value.
        - name: currency
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/CurrencyEnum'
              - type: 'null'
          description: Return only payables that use the specified currency.
        - name: counterpart_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            Return only payables received from counterparts with the specified
            name (exact match, case-sensitive).


            For counterparts of `type = individual`, the full name is formatted
            as `first_name last_name`.
        - name: counterpart_name__contains
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            Return only payables received from counterparts whose name contains
            the specified string (case-sensitive).
        - name: counterpart_name__icontains
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            Return only payables received from counterparts whose name contains
            the specified string (case-insensitive).
        - name: search_text
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            Apply the `icontains` condition to search for the specified text in
            the `document_id` and `counterpart_name` fields in the payables.
        - name: due_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: Return payables that are due on the specified date (YYYY-MM-DD)
        - name: due_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are due after the specified date (exclusive,
            YYYY-MM-DD).
        - name: due_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are due before the specified date (exclusive,
            YYYY-MM-DD).
        - name: due_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are due on or after the specified date
            (YYYY-MM-DD).
        - name: due_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are due before or on the specified date
            (YYYY-MM-DD).
        - name: issued_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: Return payables that are issued at the specified date (YYYY-MM-DD)
        - name: issued_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are issued after the specified date (exclusive,
            YYYY-MM-DD).
        - name: issued_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are issued before the specified date
            (exclusive, YYYY-MM-DD).
        - name: issued_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are issued on or after the specified date
            (YYYY-MM-DD).
        - name: issued_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables that are issued before or on the specified date
            (YYYY-MM-DD).
        - name: document_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            Return a payable with the exact specified document number
            (case-sensitive).


            The `document_id` is the user-facing document number such as
            INV-00042, not to be confused with Monite resource IDs (`id`).
        - name: document_id__contains
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            Return only payables whose document number (`document_id`) contains
            the specified string (case-sensitive).
        - name: document_id__icontains
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
          description: >-
            Return only payables whose document number (`document_id`) contains
            the specified string (case-insensitive).
        - name: was_created_by_user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
          description: >-
            Return only payables created in Monite by the entity user with the
            specified ID.
        - name: counterpart_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
          description: >-
            Return only payables received from the counterpart with the
            specified ID.


            Counterparts that have been deleted but have associated payables
            will still return results here because the payables contain a frozen
            copy of the counterpart data.


            If the specified counterpart ID does not exist and never existed, no
            results are returned.
        - name: counterpart_id__in
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                  format: uuid
                type: array
              - type: 'null'
          description: >-
            Return only payables received from the counterparts with the
            specified IDs. Valid but nonexistent IDs do not raise errors but
            produce no results.


            To specify multiple IDs, repeat this parameter for each value:
            `counterpart_id__in=<id1>&counterpart_id__in=<id2>`
        - name: source_of_payable_data
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SourceOfPayableDataEnum'
              - type: 'null'
          description: Return only payables coming from the specified source.
        - name: ocr_status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/OcrStatusEnum'
              - type: 'null'
          description: Return only payables with specific OCR statuses.
        - name: line_item_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
          description: >-
            Search for a payable by the identifier of the line item associated
            with it.
        - name: purchase_order_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
          description: >-
            Search for a payable by the identifier of the purchase order
            associated with it.
        - name: project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
          description: >-
            Return only payables assigned to the project with the specified ID.


            Valid but nonexistent project IDs do not raise errors but return no
            results.
        - name: project_id__in
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                  format: uuid
                type: array
              - type: 'null'
          description: >-
            Return only payables whose `project_id` include at least one of the
            project_id with the specified IDs. Valid but nonexistent project IDs
            do not raise errors but produce no results.
        - name: tag_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                  format: uuid
                type: array
              - type: 'null'
          description: >-
            Return only payables whose `tags` include at least one of the tags
            with the specified IDs. Valid but nonexistent tag IDs do not raise
            errors but produce no results.
        - name: tag_ids__not_in
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                  format: uuid
                type: array
              - type: 'null'
          description: >-
            Return only payables whose `tags` do not include any of the tags
            with the specified IDs. Valid but nonexistent tag IDs do not raise
            errors but produce the results.
        - name: has_tags
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
          description: >-
            Filter objects based on whether they have tags. If true, only
            objects with tags are returned. If false, only objects without tags
            are returned.
        - name: origin
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PayableOriginEnum'
              - type: 'null'
          description: Return only payables from a given origin ['upload', 'email']
        - name: has_file
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
          description: Return only payables with or without attachments (files)
        - name: scheduled_payment_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return payables with a live scheduled payment (see
            `scheduled_payment_date` on the response) on the specified date
            (YYYY-MM-DD).
        - name: scheduled_payment_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return only payables whose scheduled payment date is after the
            specified date (exclusive, YYYY-MM-DD).
        - name: scheduled_payment_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return only payables whose scheduled payment date is before the
            specified date (exclusive, YYYY-MM-DD).
        - name: scheduled_payment_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return only payables whose scheduled payment date is on or after the
            specified date (YYYY-MM-DD).
        - name: scheduled_payment_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
          description: >-
            Return only payables whose scheduled payment date is before or on
            the specified date (YYYY-MM-DD).
        - name: has_scheduled_payment
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
          description: >-
            Filter payables based on whether they have a live scheduled payment.
            If true, only payables with a non-null `scheduled_payment_date` are
            returned. If false, only payables with no live scheduled payment are
            returned.
        - name: duplicate_match_status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PayableDuplicateStatusEnum'
              - type: 'null'
          description: >-
            Return only payables that have at least one duplicate match with
            this review status.
        - name: duplicate_match_status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/PayableDuplicateStatusEnum'
              - type: 'null'
          description: >-
            Return only payables that have at least one duplicate match with any
            of these review statuses.
        - name: duplicate_match_status__not_in
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/PayableDuplicateStatusEnum'
              - type: 'null'
          description: >-
            Return only payables that have at least one duplicate match with a
            review status other than these. For example,
            `duplicate_match_status__not_in=dismissed` returns payables with an
            unreviewed or confirmed duplicate.
        - name: duplicate_matched_payable_status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PayableStateEnum'
              - type: 'null'
          description: >-
            Return only payables that have a duplicate match whose other payable
            is in this status.
        - name: duplicate_matched_payable_status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/PayableStateEnum'
              - type: 'null'
          description: >-
            Return only payables that have a duplicate match whose other payable
            is in any of these statuses.
        - name: duplicate_matched_payable_status__not_in
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/PayableStateEnum'
              - type: 'null'
          description: >-
            Return only payables that have a duplicate match whose other payable
            is NOT in any of these statuses. Combined duplicate_* filters apply
            to the same match.
        - name: x-organization-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          description: The ID of the entity that owns the requested resource.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayablePaginationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '406':
          description: Not Acceptable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    PayableCursorFields:
      type: string
      enum:
        - id
        - created_at
        - updated_at
        - issued_at
        - due_date
        - amount
        - status
        - document_id
        - currency
        - counterpart_name
        - scheduled_payment_date
    PayableStateEnum:
      type: string
      enum:
        - draft
        - new
        - approve_in_progress
        - waiting_to_be_paid
        - partially_paid
        - paid
        - canceled
        - rejected
    CurrencyEnum:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - SSP
        - SVC
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
    SourceOfPayableDataEnum:
      type: string
      enum:
        - ocr
        - user_specified
    OcrStatusEnum:
      type: string
      enum:
        - processing
        - error
        - success
        - canceled
    PayableOriginEnum:
      type: string
      enum:
        - upload
        - email
    PayableDuplicateStatusEnum:
      type: string
      enum:
        - suspected
        - dismissed
        - confirmed
    PayablePaginationResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PayableResponseSchema'
          type: array
        next_pagination_token:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the next page of results, or `null` if there is no next page
            (i.e. you've reached the last page).
        prev_pagination_token:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the previous page of results, or `null` if there is no
            previous page (i.e. you've reached the first page).
      type: object
      required:
        - data
      description: A paginated list of payables.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PayableResponseSchema:
      properties:
        id:
          description: A unique ID assigned to this payable.
        created_at:
          description: >-
            UTC date and time when this payable was created. Timestamps follow
            the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
        updated_at:
          description: >-
            UTC date and time when this payable was last updated. Timestamps
            follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
            format.
        amount_due:
          description: How much is left to be paid on the invoice (in minor units).
          examples:
            - 1000
        amount_paid:
          description: How much was paid on the invoice (in minor units).
          examples:
            - 1000
        amount_to_pay:
          description: >-
            How much is left to be paid on the invoice (in minor units) with
            discounts from payment terms.
          examples:
            - 1000
        approval_policy_id:
          description: >-
            Id of existing approval policy that applies to this payable, if any.
            A policy is applied if the payable matches the policy trigger
            conditions.
        counterpart:
          description: >-
            Object representing de-normalized counterpart data. Filled at the
            moment of invoice submitting for approval or payment.
        counterpart_address_id:
          description: The ID of counterpart address object stored in counterparts service
        counterpart_bank_account_id:
          description: >-
            The ID of counterpart bank account object stored in counterparts
            service
        counterpart_id:
          description: >-
            The ID of the counterpart object that represents the vendor or
            supplier.
        counterpart_raw_data:
          description: >-
            Object representing counterpart data which was extracted by OCR.
            Used for informational purposes.
        counterpart_vat_id_id:
          description: The ID of counterpart VAT ID object stored in counterparts service
        credit_notes:
          description: The list of linked credit notes of the payable.
        currency:
          description: >-
            The [currency code](https://docs.monite.com/references/currencies)
            of the currency used in the payable.
          examples:
            - USD
        currency_exchange: {}
        description:
          description: An arbitrary description of this payable.
        discount:
          description: >-
            The value of the additional discount that will be applied to the
            total amount. in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 500
        document_id:
          description: >-
            A unique invoice number assigned by the invoice issuer for payment
            tracking purposes. This is different from `id` which is an internal
            ID created automatically by Monite.
          examples:
            - INV-2287
        due_date:
          description: >-
            The date by which the payable must be paid, in the YYYY-MM-DD
            format. If the payable specifies payment terms with early payment
            discounts, this is the final payment date.
        duplicates:
          description: >-
            Suspected and reviewed duplicates of this payable. Both payables of
            a matched pair see the same match. Ordered: suspected first, then
            confirmed, then dismissed, newest first within each group. At most
            100 entries are returned.
        enforce_approval_policy_id:
          description: >-
            Id of an existing approval policy that should be enforced when
            submitting the payable for approval.If this field is set, no other
            policies will be evaluated via their triggers - the specified policy
            will always be applied instead.
        entity_id:
          description: The ID of the entity to which the payable was issued.
        file:
          description: The original file from which this payable was created.
        file_id:
          description: File id to retrieve the stored file info.
        issued_at:
          description: The date when the payable was issued, in the YYYY-MM-DD format.
        marked_as_paid_by_entity_user_id:
          description: The ID of the entity user who marked this document as paid.
          examples:
            - 71e8875a-43b3-434f-b12a-54c84c176ef3
        marked_as_paid_with_comment:
          description: >-
            An arbitrary comment that describes how and when this payable was
            paid.
          examples:
            - Was paid partly in the end of the month.
        ocr_request_id:
          description: >-
            Id of OCR request to match asynchronous result of processing
            payable.
        ocr_status:
          description: >-
            The status of the data recognition process using OCR. The
            'processing' status means that the data recognition is in progress
            and the user needs to wait for the data enrichment. The 'error'
            status indicates that some error occurred on the OCR side and the
            user can fill in the data manually. The 'success' status means the
            data recognition has been successfully completed, after which the
            user can check the data if desired and enrich or correct it.
        other_extracted_data:
          description: Data extracted from the uploaded payable by OCR.
        paid_at:
          description: The date by which the payable was paid
        partner_metadata:
          description: Metadata for partner needs
        payable_origin:
          description: >-
            Specifies how this payable was created in Monite: `upload` - created
            via an API call, `email` - sent via email to the entity's mailbox.
        payment_terms:
          description: >-
            The number of days to pay with potential discount for options
            shorter than due_date
        project_id:
          description: Project id of a payable.
        purchase_order_id:
          description: The identifier of the purchase order to which this payable belongs.
        scheduled_payment_date:
          description: >-
            The date of this payable's earliest live scheduled payment, in the
            YYYY-MM-DD format, or `null` if it has none. This is the value
            `sort=scheduled_payment_date` orders by; payables with no live
            scheduled payment sort last in ascending order and first in
            descending order.
        sender:
          description: The email address from which the invoice was sent to the entity.
          examples:
            - hello@example.com
        source_of_payable_data:
          description: >-
            Specifies how the property values of this payable were provided:
            `ocr` - Monite OCR service extracted the values from the provided
            PDF or image file, `user_specified` - values were added or updated
            via an API call.
        status:
          description: >-
            The
            [status](https://docs.monite.com/accounts-payable/payables/index) of
            the payable.
        subtotal:
          description: >-
            The subtotal amount to be paid, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 1250
        suggested_payment_term:
          description: >-
            The suggested date and corresponding discount in which payable could
            be paid. The date is in the YYYY-MM-DD format. The discount is
            calculated as X * (10^-4) - for example, 100 is 1%, 25 is 0,25%,
            10000 is 100 %. Date varies depending on the payment terms and may
            even be equal to the due date with discount 0.
        tags:
          description: >-
            A list of user-defined tags (labels) assigned to this payable. Tags
            can be used to trigger a specific approval policy for this payable.
        tax:
          description: >-
            Registered tax percentage applied for a service price in minor
            units, e.g. 200 means 2%, 1050 means 10.5%.
          examples:
            - 2000
        tax_amount:
          description: >-
            Tax amount in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 250
        total_amount:
          description: >-
            The total amount to be paid, in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
            For example, $12.50 is represented as 1250.
          examples:
            - 1500
        total_amount_with_credit_notes:
          description: >-
            The total price of the payable in [minor
            units](https://docs.monite.com/references/currencies#minor-units),
            excluding all issued credit notes.
        was_created_by_user_id: {}
      type: object
      required:
        - id
        - entity_id
        - status
        - source_of_payable_data
        - credit_notes
        - payable_origin
        - created_at
        - updated_at
      description: >-
        Represents an Accounts Payable document received from a vendor or
        supplier.
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````